#Copyright 2008 Cold Spring Harbor Laboratory.
# Written by Yaniv Erlich (erlich@cshl.edu)



package ExtraUtils;
use strict;
use warnings;
use Carp;

require Exporter;

our @ISA    = ("Exporter");
our @EXPORT = qw(seperate_path_from_file timestamp_file any is_fasta);
our $VERSION = 1.00;

sub is_fasta {

    my ($file) = @_;
    open my $FH, '<', $file 
        or croak "can't open $file: $!\n";

    my $flag = undef;

    while (<$FH>) {
        if (m/^>/) {
            $flag = 1;
        }
        last;
    }
    close $FH;

    return $flag;


}

sub seperate_path_from_file {
    my ($path_with_file) = @_;
    my @folders = split /\// , $path_with_file;
    my $file = pop @folders;
    my $path = join ('/', @folders) ||
        '.';
    return ($path,$file);
}

sub timestamp_file {

    my ($prefix) = @_;
    my $epoch = time();

    return $prefix  .
            '.'     .
            $epoch;


}

sub any (&@) {
    my $f = shift;
    return if ! @_;
    for (@_) {
	return 1 if $f->();
    }
    return 0;
}



1;
