# Copyright 2008 Cold Spring Harbor Laboratory.
# Written by Yaniv Erlich (erlich@cshl.edu)

# This package send home hash in plain text format.
# The usage is with Reporter::report(\%hash_to_send).
# The data will be sent to http://$ADDR/$PAGE


package Reporter;
use strict;
use warnings;
use LWP;
use Readonly;


Readonly my $ADDR => 'http://hannonlab.cshl.edu';
Readonly my $PAGE  => '/cgi-bin/Alta_Reporter.pl';


sub report {
    my ($r_config) = @_;

    my $ua = LWP::UserAgent->new;
    my $c   = _parse_content($r_config);
    my $uri = URI->new_abs($PAGE,$ADDR);
    my $h   = HTTP::Headers->new();
    my $request = HTTP::Request->new(POST => $uri,$h,$c) ;
    my $response = $ua->request($request);
}

sub _parse_content {
        my ($r_hash)=@_;
        my $content;
        foreach my $parameter (keys %$r_hash) {
                next if ($parameter eq '');
                my $value=$r_hash->{$parameter};
                if (ref $value eq 'ARRAY') {
                    $value = join '_' , @$value;
                }
                $content=$content.$parameter.'='."$value".'&';
        }
        return $content;
}

1
